## privacybrowser 0.8

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: 2022-2024 Soren Stoutner <soren@stoutner.com>
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <https://www.gnu.org/licenses/>.


# Set the minimum CMake version.
cmake_minimum_required(VERSION 3.16)

# Name the project.
project(privacybrowser)

# Set the minimum framework versions.
set(QT_MIN_VERSION "6.0.0")
set(KDE_FRAMEWORKS_MIN_VERSION "6.0.0")

# Load the Extra CMake Modules that correspond to the KDE Frameworks version.
find_package(ECM ${KDE_FRAMEWORKS_MIN_VERSION} REQUIRED NO_MODULE)

# Set the CMake module path.
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# Include the KDE modules.
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

# Include the Extra CMake Modules.
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

# Disable forcing of PIE, which appears to cause problems with Ubuntu's build system.  <https://bugs.launchpad.net/ubuntu/+source/privacybrowser/+bug/2078732>
# Include the Position Independent Executable checker.  <https://cmake.org/cmake/help/latest/policy/CMP0083.html>
#include(CheckPIESupported)

# Check to see if Position Independent Executable is supported in the current linker and environment.
#check_pie_supported()

# Add the Position Independent Executable compiler flag if it is supported in the current linker and environment.  <https://cmake.org/cmake/help/latest/variable/CMAKE_POSITION_INDEPENDENT_CODE.html>
#set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)

# Load the Qt components.
find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Gui
    PrintSupport
    Sql
    WebEngineCore
    WebEngineWidgets
    Widgets
)

# Load the KDE Frameworks components.
find_package(KF6 ${KDE_FRAMEWORKS_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    Notifications
    KIO
    XmlGui
)

# Add the subdirectories.
add_subdirectory(doc)
add_subdirectory(src)

# Install the PO files.  These should be enabled once there are PO translations.
#ki18n_install(po)
#kdoctools_install(po)

# Generate a summary.
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: 2023 Soren Stoutner <soren@stoutner.com>
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <https://www.gnu.org/licenses/>.

# Create the documentation.
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR privacybrowser)

# Install extra graphic files (the automatic installer doesn't pick up .gif files).
install(FILES loading.gif DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en/privacybrowser)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: 2022-2025 Soren Stoutner <soren@stoutner.com>
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <https://www.gnu.org/licenses/>.

# Create the executable and add the resources.
add_executable(privacybrowser resources.qrc)

# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    main.cpp
)

# Add the Qt logging category.  This will create the `debug.h` header file.
ecm_qt_declare_logging_category(privacybrowser
    HEADER debug.h
    IDENTIFIER PRIVACYBROWSER
    CATEGORY_NAME "privacybrowser"
)

# Include the KConfig controller file.
kconfig_add_kcfg_files(privacybrowser settings/Settings.kcfgc)

# Use KDE Frameworks to handle internationalization of the following UI files.
ki18n_wrap_ui(privacybrowser
    uis/AddBookmarkDialog.ui
    uis/AddFolderDialog.ui
    uis/AddOrEditCookieDialog.ui
    uis/AddTabWidget.ui
    uis/BookmarksDialog.ui
    uis/CookiesDialog.ui
    uis/DomainSettingsDialog.ui
    uis/DurableCookiesDialog.ui
    uis/EditBookmarkDialog.ui
    uis/EditFolderDialog.ui
    uis/FilterEntryDialog.ui
    uis/FilterListsDialog.ui
    uis/HttpAuthenticationDialog.ui
    uis/RequestDetailDialog.ui
    uis/RequestsDialog.ui
    uis/SaveDialog.ui
    uis/SettingsGeneral.ui
    uis/SettingsPrivacy.ui
    uis/SettingsSpellCheck.ui
    uis/TabWidget.ui
)

# Link the following libraries.
target_link_libraries(privacybrowser
    Qt6::Core
    Qt6::Gui
    Qt6::Sql
    Qt6::PrintSupport
    Qt6::Widgets
    Qt6::WebEngineCore
    Qt6::WebEngineWidgets
    KF6::Completion
    KF6::ConfigWidgets
    KF6::CoreAddons
    KF6::Crash
    KF6::DBusAddons
    KF6::DocTools
    KF6::I18n
    KF6::Notifications
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::XmlGui
)

# Add the subdirectories.
add_subdirectory(databases)
add_subdirectory(delegates)
add_subdirectory(dialogs)
add_subdirectory(filters)
add_subdirectory(helpers)
add_subdirectory(interceptors)
add_subdirectory(ui.rcs)
add_subdirectory(widgets)
add_subdirectory(windows)

# Install Privacy Browser using the default KDE arguments.
install(TARGETS privacybrowser ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# Install Privacy Browser according to the instructions in the desktop file, specifying the permissions.
install(PROGRAMS com.stoutner.privacybrowser.desktop DESTINATION ${KDE_INSTALL_APPDIR} PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)

# Install the metainfo file.
install(FILES com.stoutner.privacybrowser.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# Install the notifyrc file.
install(FILES privacybrowser.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

# Install the standard icons.
ecm_install_icons(ICONS icons/sc-apps-privacybrowser.svg DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/16-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/22-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/24-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/32-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/48-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/64-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/128-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/256-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/512-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/1024-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})

# Install the symbolic icon (used by Gnome).
install(FILES icons/privacybrowser-symbolic.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/symbolic/apps/)

=== src/databases/CMakeLists.txt ===
# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    BookmarksDatabase.cpp
    CookiesDatabase.cpp
    DomainsDatabase.cpp
)

=== src/delegates/CMakeLists.txt ===
# Copyright 2022-2024 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    ViewOnlyDelegate.cpp
)

=== src/dialogs/CMakeLists.txt ===
# Copyright 2022-2024 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    AddBookmarkDialog.cpp
    AddFolderDialog.cpp
    AddOrEditCookieDialog.cpp
    BookmarksDialog.cpp
    CookiesDialog.cpp
    DomainSettingsDialog.cpp
    DurableCookiesDialog.cpp
    EditBookmarkDialog.cpp
    EditFolderDialog.cpp
    FilterEntryDialog.cpp
    FilterListsDialog.cpp
    HttpAuthenticationDialog.cpp
    RequestDetailDialog.cpp
    RequestsDialog.cpp
    SaveDialog.cpp
    SettingsDialog.cpp
)

=== src/filters/CMakeLists.txt ===
# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    MouseEventFilter.cpp
)

=== src/helpers/CMakeLists.txt ===
# Copyright 2022-2024 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    FilterListHelper.cpp
    FolderHelper.cpp
    SearchEngineHelper.cpp
    UserAgentHelper.cpp
)

=== src/ui.rcs/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: 2022, 2024 Soren Stoutner <soren@stoutner.com>
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <https://www.gnu.org/licenses/>.


# Install Privacy Browser's RC (Runtime Configuration) files.
install(FILES
    browserwindowui.rc
    DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/privacybrowser)

=== src/widgets/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: 2022-2025 Soren Stoutner <soren@stoutner.com>
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <https://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    DevToolsWebEngineView.cpp
    DraggableTreeView.cpp
    PrivacyWebEnginePage.cpp
    PrivacyWebEngineView.cpp
    TabWidget.cpp
    TemporaryWebEngineView.cpp
    UrlLineEdit.cpp
)

=== src/windows/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: 2022-2023 Soren Stoutner <soren@stoutner.com>
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <https://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    BrowserWindow.cpp
)

=== debian/changelog ===
privacybrowser (0.8-1ubuntu1) plucky; urgency=medium

  * Do not show some messages in stderr, causing autopkgtests to fail.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Feb 2025 16:43:43 -0600

privacybrowser (0.8-1build1) plucky; urgency=medium

  * No-change rebuild against Qt 6.8.2.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2025 13:30:27 +0000

privacybrowser (0.8-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/patches/hardcode-dictionary-path.patch, applied upstream.
  * debian/copyright:
    - Update the name for src/com.stoutner.privacybrowser.metainfo.xml.
    - Bump copyright years.
  * debian/source/lintian-overrides:  Update the override for the metainfo.xml
    license false positive.

 -- Soren Stoutner <soren@debian.org>  Thu, 30 Jan 2025 15:51:02 -0700

=== debian/control ===
Source: privacybrowser
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soren Stoutner <soren@debian.org>
Section: web
Priority: optional
# pkg-kde-tools is required to use `--with kf6` in debian/rules.
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf6completion-dev,
               libkf6configwidgets-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6doctools-dev,
               libkf6i18n-dev,
               libkf6kio-dev,
               libkf6notifications-dev,
               libkf6xmlgui-dev,
               pkg-kde-tools,
               qt6-webengine-dev
Standards-Version: 4.7.0
Homepage: https://www.stoutner.com/privacy-browser-pc/
Vcs-Git: https://salsa.debian.org/soren/privacybrowser.git
Vcs-Browser: https://salsa.debian.org/soren/privacybrowser
Rules-Requires-Root: no

Package: privacybrowser
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         khelpcenter
Suggests: hunspell-af,
          hunspell-an,
          hunspell-be,
          hunspell-bg,
          hunspell-bn,
          hunspell-bs,
          hunspell-ca,
          hunspell-cs,
          hunspell-da,
          hunspell-de-at,
          hunspell-de-at-frami,
          hunspell-de-ch,
          hunspell-de-ch-frami,
          hunspell-de-de,
          hunspell-de-de-frami,
          hunspell-el,
          hunspell-en-gb,
          hunspell-en-med,
          hunspell-en-za,
          hunspell-eo,
          hunspell-es,
          hunspell-eu,
          hunspell-fr,
          hunspell-gd,
          hunspell-gl,
          hunspell-gu,
          hunspell-gug,
          hunspell-he,
          hunspell-hi,
          hunspell-hr,
          hunspell-hu,
          hunspell-id,
          hunspell-is,
          hunspell-it,
          hunspell-kk,
          hunspell-kmr,
          hunspell-ko,
          hunspell-lo,
          hunspell-lt,
          hunspell-lv,
          hunspell-mn,
          hunspell-no,
          hunspell-ne,
          hunspell-oc,
          hunspell-pl,
          hunspell-pt-br,
          hunspell-pt-pt,
          hunspell-ro,
          hunspell-ru,
          hunspell-si,
          hunspell-sk,
          hunspell-sl,
          hunspell-sr,
          hunspell-sv,
          hunspell-sw,
          hunspell-te,
          hunspell-th,
          hunspell-tr,
          hunspell-uk,
          hunspell-vi,
          myspell-da,
          myspell-de-de-1901,
          myspell-eo,
          myspell-es,
          myspell-fo
Provides: www-browser
Description: web browser that respects your privacy
 Privacy Browser is a web browser based on Qt WebEngine with a focus on privacy
 and security. Features like JavaScript and cookies are disabled by default but
 are easy to automatically enable on-the-fly or by domain.

=== debian/tests/control ===
# Run the basic tests.
Tests: basic-tests
Depends: @, xvfb, xauth
